#ifndef	_GEOM_API
#define	_GEOM_API

_declspec(dllimport) double	ebCalTwoPtDis(EB_POINT  p1, EB_POINT  p2);
_declspec(dllimport) double ebCalXAxisAngle(EB_POINT  p1, EB_POINT  p2);
_declspec(dllimport) int	ebCalPolarPoint(EB_POINT  p, double  dist, double  angle, EB_POINT*  result);
_declspec(dllimport) EB_POINT*	ebInterSection(EB_NODE  node1,  EB_NODE  node2,  int*  count);
_declspec(dllimport) int	ebTransPtToWc(EB_POINT  origin, double  angle, EB_POINT  pLc, EB_POINT*  pWc);
_declspec(dllimport) int	ebTransPtToLc(EB_POINT  origin, double  angle, EB_POINT  pWc, EB_POINT*  pLc);
_declspec(dllimport) int	ebCalPtToCurveDis(EB_POINT  p, EB_NODE  curve,  EB_POINT*  p_res, double*  distance);
_declspec(dllimport) int	ebTrimNode(EB_NODE  curve, EB_SELECT&  select, EB_POINT  loc, EB_NODE&  res1, EB_NODE&  res2);
_declspec(dllimport) int	ebBreakNode(EB_NODE  curve, EB_POINT  loc, EB_NODE&  res1, EB_NODE&  res2);

_declspec(dllimport) int	ebMoveNode(EB_NODE node,EB_NODE& result,EB_POINT pBas,EB_POINT pAim);
_declspec(dllimport) int	ebMoveSelect(EB_SELECT& select,EB_SELECT& result,EB_POINT pBas,EB_POINT pAim);
_declspec(dllimport) int	ebRotateNode(EB_NODE node,EB_NODE& result, EB_POINT pBas,double angle);
_declspec(dllimport) int	ebRotateSelect(EB_SELECT& select,EB_SELECT& result, EB_POINT pBas,double angle);
_declspec(dllimport) int	ebMirrorNode(EB_NODE node,EB_NODE& result,EB_POINT p1,EB_POINT p2);
_declspec(dllimport) int	ebMirrorSelect(EB_SELECT& select,EB_SELECT& result,EB_POINT p1,EB_POINT p2);
_declspec(dllimport) int	ebScaleNode(EB_NODE node,EB_NODE& result,EB_POINT pBas,double scale);
_declspec(dllimport) int	ebScaleSelect(EB_SELECT& select,EB_SELECT& result,EB_POINT pBas,double scale);

_declspec(dllimport) int	ebOffsetChain(EB_SELECT& selection,double dist,EB_POINT start_p,EB_POINT *pStart,EB_POINT *pEnd,EB_SELECT& chain);

_declspec(dllimport) void	ebGetLoopArea (EB_SELECT& slLoop, double& dArea);

#endif